com.gemstone.gbj

## Class GbjCompilerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.gemstone.gbj.GbjException
        - - com.gemstone.gbj.GbjCompilerException

- All Implemented Interfaces:
    java.io.Serializable

      public class GbjCompilerException
      extends GbjException

  This class represents a GemStone server compilation exception. These most commonly occur during a GbjSession doit() message or GbjObject execute() message and indicate that there is a Smalltalk syntax error in the string passed to the method. Instances of this class will discard their GemStone error message string and instead return the text of the first compilation error. Additional compilation errors may exist in the compiland - the first argument of the exception is a GemStone Array of compilation error specifications. Each of these specifications is an Array with 1) specific GemStoneError error number 2) 1-based position of the error in the text Thus, args[0].at(1) is the first error specification, and args[0].at(1).at(2) is the position of the first error. The method errorPosition() is provided to access this value in a more convenient manner.
  Version:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gemstone.gbj.GbjException

      `argCount, args, category, fatal, kernel, message, number, process, session, stackReport, stackTrace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjCompilerException(GbjSession s, GbjGciException e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `errorPosition()` returns the 1-based position of the first compilation error.
    `java.lang.String` | `getMessage()` Return the message associated with this compiler exception.

    - ### Methods inherited from class com.gemstone.gbj.GbjException

      `isAbortingException, isCompilerException, isEventException, isFatalException, isInternalException, isRuntimeException, printStackTrace, printStackTrace, printStackTrace, saveProcess, setMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GbjCompilerException

          public GbjCompilerException(GbjSession s,
                                      GbjGciException e)

  - ### Method Detail

    - #### errorPosition

          public int errorPosition()

      returns the 1-based position of the first compilation error. This will be zero if there was a problem retrieving the error position.
      Returns:
        int result

    - #### getMessage

          public java.lang.String getMessage()

      Return the message associated with this compiler exception.
      Overrides:
        `getMessage` in class `GbjException`
      Returns:
        string result